Package org.eclipse.net4j.util.ui.views

## Class ContainerItemProvider.FixedChildrenNode

- java.lang.Object
- - org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode
  - - org.eclipse.net4j.util.ui.views.ContainerItemProvider.LeafNode
    - - org.eclipse.net4j.util.ui.views.ContainerItemProvider.FixedChildrenNode

- All Implemented Interfaces:
    `java.util.EventListener`, `IListener`, `ContainerItemProvider.Node`
  Enclosing class:
    ContainerItemProvider<CONTAINER extends IContainer<java.lang.Object>>

      public class ContainerItemProvider.FixedChildrenNode
      extends ContainerItemProvider.LeafNode

  Since:
    3.9
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.util.ui.views.ContainerItemProvider.Node

      `NO_CHILDREN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FixedChildrenNode​(ContainerItemProvider.Node parent, java.lang.Object element, java.lang.Iterable<?> childElements)` |
    `FixedChildrenNode​(ContainerItemProvider.Node parent, java.lang.Object element, java.lang.Object[] childElements)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `java.util.List<ContainerItemProvider.Node>` | `getChildren()` |
    `boolean` | `hasChildren()` |

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.LeafNode

      `getElement, notifyEvent`

    - ### Methods inherited from class org.eclipse.net4j.util.ui.views.ContainerItemProvider.AbstractNode

      `addChild, checkNotDisposed, disposeChildren, getParent, getTreePath, isDisposed, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedChildrenNode

          public FixedChildrenNode​(ContainerItemProvider.Node parent,
                                   java.lang.Object element,
                                   java.lang.Object[] childElements)

    - #### FixedChildrenNode

          public FixedChildrenNode​(ContainerItemProvider.Node parent,
                                   java.lang.Object element,
                                   java.lang.Iterable<?> childElements)

  - ### Method Detail

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ContainerItemProvider.Node`
      Overrides:
        `dispose` in class `ContainerItemProvider.LeafNode`

    - #### hasChildren

          public boolean hasChildren()

      Specified by:
        `hasChildren` in interface `ContainerItemProvider.Node`
      Overrides:
        `hasChildren` in class `ContainerItemProvider.AbstractNode`
      Since:
        3.4

    - #### getChildren

          public java.util.List<ContainerItemProvider.Node> getChildren()

      Specified by:
        `getChildren` in interface `ContainerItemProvider.Node`
      Overrides:
        `getChildren` in class `ContainerItemProvider.LeafNode`